www.Bastler-Cam.de - Sammelhomepage

Der chaotische Hauptfaden

Moderatoren: Sven, Heaterman, TDI, Finger

Re: www.Bastler-Cam.de - Sammelhomepage

Beitragvon MichelH » Sa 25. Mär 2017, 14:10

*Grummel*

Gestern Abend ging es ja an die Standheizungen.
Die von Felix hat ein Aftermarket Controller bekommen und lief mit einer geschlachteten Dosierpumpe direkt. Wir haben dann alles verschlaucht und den Moppel erstmal laufen lassen. Mit nur einem Heizkörper wurde es in wirklich kurzer Zeit direkt 2° Wärmer in der Bude. Die Heizung schaltet sich nach ca 15min in den Teillast betrieb. Der Heizkörper schafft noch nicht genug Leistung weg (wir haben schon nen kleinen radiallüfter drunter gehabt). Naja, kommt vlt noch ein zweiter dazu.

Bei meiner Heizung ist das alles irgendiwe komisch.
Beim starten (pin 1 auf 12V) geht das Brennluftgebläse und die Umwälzpumpe an nach kurzer zeit geht das Brennluftgebläse wieder aus und nach ein paar sec wieder auf volldampf an. dann pustet die ca. 1min und geht dann komplett aus. Die Dosierpumpe wird garnicht angesteuert.
Der NTC auf der platine hat 5kO. Schein mit normal
Der Glühstift/Flammüberwachung hat (ich meine) 2Ohm. Sollte auch passen.
Die Freilaufdiode über der Pumpe scheint auch noch i.O
Batteriespannung ist auch hoch genug, am gleichem Klotz läuft die von Felix ohne probleme

Ich löte mir nachher mal das KKL interface von finger zusammen und hoffe das ich mit der Mühle noch reden kann.
Komplett Hirntod scheint sie ja nicht zu sein, ein bischen was tut sich da ja noch
Benutzeravatar
MichelH
 
Beiträge: 913
Registriert: Mi 6. Nov 2013, 19:49
Wohnort: Nord-West

Re: www.Bastler-Cam.de - Sammelhomepage

Beitragvon sirell » Sa 25. Mär 2017, 14:12

Keine Ahnung woher das kam, tut aber schon länger.

Code: Alles auswählen
sirell@wkst-sirell:~$ cat scripts/keepfiles.bash
if [ $# -ne 2 ]; then
  echo 1>&2 "Usage: $0 <dir> <number of files to keep>"
  exit 1
fi

cd $1
files_in_dir=`ls | wc -l`
files_to_delete=`expr $files_in_dir - $2`
if [ $files_to_delete -gt 0 ]; then
  ls -t | tail -n $files_to_delete | xargs rm
  if [ $? -ne 0 ]; then
    echo "An error ocurred deleting the files"
    exit 1
  else
    echo "$files_to_delete file(s) deleted."
  fi
else
  echo "nothing to delete!"
fi


Grüße
Micha
sirell
 
Beiträge: 55
Registriert: Mi 8. Apr 2015, 13:38
Wohnort: DE/Nürnberg/Tuchenbach

Re: www.Bastler-Cam.de - Sammelhomepage

Beitragvon baltasar » Sa 25. Mär 2017, 16:59

sirell hat geschrieben:Keine Ahnung woher das kam, tut aber schon länger.

Code: Alles auswählen
sirell@wkst-sirell:~$ cat scripts/keepfiles.bash
if [ $# -ne 2 ]; then
  echo 1>&2 "Usage: $0 <dir> <number of files to keep>"
  exit 1
fi

cd $1
files_in_dir=`ls | wc -l`
files_to_delete=`expr $files_in_dir - $2`
if [ $files_to_delete -gt 0 ]; then
  ls -t | tail -n $files_to_delete | xargs rm
  if [ $? -ne 0 ]; then
    echo "An error ocurred deleting the files"
    exit 1
  else
    echo "$files_to_delete file(s) deleted."
  fi
else
  echo "nothing to delete!"
fi


Grüße
Micha

Das haut aber wenn du glück hast alphabetisch alles bis auf X weg. ( Glück wenn "ls" ohne Parameter, alphabetisch auflistete ) Das ist nicht unbedingt das neuste.

Ich habe das hier kurz zusammen gehackt. Geht durch alle Unterverzeichnisse von "/files". Ermittelt in jedem Unterverzeichniss das neuste und löscht alle anderen. Wenn du das skript mit "-i" aufrufst löscht es nichts und sagt nur was es machen würde.


Code: Alles auswählen
#!/bin/bash
###########
#set -x
BDIR="/files"

for D in $BDIR/*
do
        if [ -d "$D" ]
        then
                NEWEST=`ls -tr "$D" |tail -1`
                if [ -f "$D/$NEWEST" ]
                then
                        if [ "$1" == "-i" ]
                        then
                                echo "keep $NEWEST in $D"
                                echo "delete:"
                                find "$D" -maxdepth 1 -type f -not -name "$NEWEST"
                        else
                                find "$D" -maxdepth 1 -type f -not -name "$NEWEST" -exec rm {} \;
                        fi
                fi
        fi
done
Benutzeravatar
baltasar
 
Beiträge: 56
Registriert: Fr 7. Feb 2014, 21:45

Re: www.Bastler-Cam.de - Sammelhomepage

Beitragvon Name vergessen » Sa 25. Mär 2017, 17:34

baltasar hat geschrieben:Das haut aber wenn du glück hast alphabetisch alles bis auf X weg. ( Glück wenn "ls" ohne Parameter, alphabetisch auflistete ) Das ist nicht unbedingt das neuste.
Nee, das sollte schon passen, das unbeargumentete ls ist nur zum Zählen, später wird dann ls -t genommen und der errechntete Parameter geht an tail, so daß dann tatsächlich chronologisch die x Neusten erhalten bleiben.
Das erste ls könnte man sich sparen, wenn man bei ls die Reihenfolge umdreht, oder alles in einer Variablen zwischenspeichert und deren Inhalt benutzt.
Benutzeravatar
Name vergessen
 
Beiträge: 1964
Registriert: Mo 12. Aug 2013, 19:47

Re: www.Bastler-Cam.de - Sammelhomepage

Beitragvon phettsack » So 26. Mär 2017, 13:33

Bei noez gibt es derzeit einen vServer für 20€ im Jahr.
Vielleicht ist das eine Alternative statt alle auf einem FTP-Konto rumzujuckeln.

Klar, administrativ wäre es etwas aufwändiger, aber man hat dafür ein paar Freiheitsgrade mehr.
phettsack
 
Beiträge: 571
Registriert: Mo 12. Aug 2013, 18:17

Re: www.Bastler-Cam.de - Sammelhomepage

Beitragvon MichelH » So 26. Mär 2017, 16:22

Hm wäre ne Idee.
Muss mich dann halt mal echt in den Bereich Server Management reinwurschteln
Benutzeravatar
MichelH
 
Beiträge: 913
Registriert: Mi 6. Nov 2013, 19:49
Wohnort: Nord-West

Re: www.Bastler-Cam.de - Sammelhomepage

Beitragvon phettsack » Mo 27. Mär 2017, 08:47

hab Dir das Angebot mal per PN geschickt.
phettsack
 
Beiträge: 571
Registriert: Mo 12. Aug 2013, 18:17

Re: www.Bastler-Cam.de - Sammelhomepage

Beitragvon Marsupilami72 » Mo 27. Mär 2017, 21:04

Da könnte man dann auch gleich einen per Datenbank konfigurierbaren FTP-Server einrichten - damit ließe sich die komplette Nutzerkonfiguration automatisieren.

:D
Benutzeravatar
Marsupilami72
 
Beiträge: 838
Registriert: Mo 4. Nov 2013, 23:48
Wohnort: mittendrin

Re: www.Bastler-Cam.de - Sammelhomepage

Beitragvon baltasar » Mo 27. Mär 2017, 22:21

Name vergessen hat geschrieben:Nee, das sollte schon passen, das unbeargumentete ls ist nur zum Zählen, später wird dann ls -t genommen und der errechntete Parameter geht an tail, so daß dann tatsächlich chronologisch die x Neusten erhalten bleiben.
Das erste ls könnte man sich sparen, wenn man bei ls die Reihenfolge umdreht, oder alles in einer Variablen zwischenspeichert und deren Inhalt benutzt.

Sorry stimmt :oops: Das zweite ls -t hatte ich übersehen. Bei dem Skript müsste man noch ein "gehe durch die Verzeichnisse" drum rumbasteln.
Benutzeravatar
baltasar
 
Beiträge: 56
Registriert: Fr 7. Feb 2014, 21:45

Re: www.Bastler-Cam.de - Sammelhomepage

Beitragvon sirell » Di 28. Mär 2017, 11:16

Marsupilami72 hat geschrieben:Da könnte man dann auch gleich einen per Datenbank konfigurierbaren FTP-Server einrichten - damit ließe sich die komplette Nutzerkonfiguration automatisieren.

So habe ich den sharingserver für das 2010er Treffen gemacht.
Gerade wenn du mehr als 5 User oder so in ein chroot packen willst ist das am einfachsten.
Proftpd mit lazy-option (automatisch das homedir anlegen) und mysql backend.
sirell
 
Beiträge: 55
Registriert: Mi 8. Apr 2015, 13:38
Wohnort: DE/Nürnberg/Tuchenbach

Re: www.Bastler-Cam.de - Sammelhomepage

Beitragvon Phyro » Di 28. Mär 2017, 11:34

Ist irgendwie grandios. Wann immer ich auf die Seite gehe, ich sehe NIE jemanden arbeiten.
Licht ist an, Autos sind anders als gestern etc., aber ich sehe keine Menschenseele :D
Phyro
 
Beiträge: 264
Registriert: Di 1. Okt 2013, 09:52

Re: www.Bastler-Cam.de - Sammelhomepage

Beitragvon Felix945 » Di 28. Mär 2017, 11:51

Meine arbeitszeiten sind immer die Selben :D

Und grad sieht mal welche als Dtandbild von gestern
Felix945
 
Beiträge: 349
Registriert: Di 13. Aug 2013, 00:27

Re: www.Bastler-Cam.de - Sammelhomepage

Beitragvon teff » Di 28. Mär 2017, 13:22

Phyro hat geschrieben:Ist irgendwie grandios. Wann immer ich auf die Seite gehe, ich sehe NIE jemanden arbeiten.
Licht ist an, Autos sind anders als gestern etc., aber ich sehe keine Menschenseele :D


Du kriegst ja nur alle 10sec ein Bild, die Jungs sind halt schnell :D
teff
 
Beiträge: 135
Registriert: Mi 12. Mär 2014, 18:26

Re: www.Bastler-Cam.de - Sammelhomepage

Beitragvon video6 » Di 28. Mär 2017, 13:24

Habe schon öfter jemanden gesehen ;)
Benutzeravatar
video6
 
Beiträge: 1400
Registriert: Mi 23. Sep 2015, 09:18

Re: www.Bastler-Cam.de - Sammelhomepage

Beitragvon MichelH » Di 28. Mär 2017, 14:35

Und genau das ist ja der Sinn hinter Bastler-cam :)
Wenn man nur eine webcam anguckt und da ein paar mal niemanden sieht, guckt man irgendwann nie wieder nach. Hier hat man auf einen Blick (zZ 9 Kameras) und der anreiz mal eben nachzugucken ist schon höher (finde ich)
Benutzeravatar
MichelH
 
Beiträge: 913
Registriert: Mi 6. Nov 2013, 19:49
Wohnort: Nord-West

Re: www.Bastler-Cam.de - Sammelhomepage

Beitragvon Kuddel » Di 28. Mär 2017, 14:53

Darum mache ich Licht aus, bevor ich die Cam abschalte. Somit bleibt das Letzte Bild (also die dunkle Werkstatt) sichtbar, und man muss nicht raten, ob gleich was passiert. Oder wie bei AndreasP eine Karte davor. Wo ist eigentlich seine Cam hin?
Vielleicht sollen wir die Hauptöffnungszeiten mal in der Überschrift eintragen. Werde ich nachher bei meiner mal ändern.
Gruß
Kuddel
Benutzeravatar
Kuddel
 
Beiträge: 2803
Registriert: Fr 28. Jun 2013, 10:56
Wohnort: Denk immer an St. Alamo!

Re: www.Bastler-Cam.de - Sammelhomepage

Beitragvon reutron » Di 28. Mär 2017, 18:05

Nachdem ich die EDIMAX-Cam IC-3115W gegen die10€ Ebay-Cam getauscht habe funktioniert das Hochladen der Bilder auch. Leider ist die Bildqualität aber schlechter. :(

Edit: Könnten die Bastler-Cam User vielleicht verraten welche Kameras sie benutzen, dann könnte man sich ein Bild von der Qualität der Kameras machen.
Benutzeravatar
reutron
 
Beiträge: 1023
Registriert: Mo 12. Aug 2013, 19:58
Wohnort: Gottow

Re: www.Bastler-Cam.de - Sammelhomepage

Beitragvon Torpert » Di 28. Mär 2017, 21:02

Ich nutze die Raspberry Kamera V2.1

Nominell kann die bis 3280 x 2464 Pixel, das schafft der gammelige Alt-Raspi, den ich dafür wieder ausgegraben habe, nicht mehr. Deshalb nehme ich die Bilder in 1280 x 960 auf, damit kommt er noch klar.
Benutzeravatar
Torpert
 
Beiträge: 72
Registriert: Mo 12. Aug 2013, 22:40
Wohnort: Saarland

Re: www.Bastler-Cam.de - Sammelhomepage

Beitragvon MichelH » Mi 18. Okt 2017, 19:01

Sooo, der Boden in der neuen Werkstatt ist fertig.
Jetzt geht der Aufbau los!

http://bastler-cam.de/index.php?User=MichelH
Benutzeravatar
MichelH
 
Beiträge: 913
Registriert: Mi 6. Nov 2013, 19:49
Wohnort: Nord-West

Re: www.Bastler-Cam.de - Sammelhomepage

Beitragvon Mr_P » Mi 18. Okt 2017, 19:48

Ahhh, sind das die guten 19 € Steckregale aus dem Baumarktangebot? Da stehen auch ein Dutzend bei mir im Keller verteilt. :D
Benutzeravatar
Mr_P
 
Beiträge: 149
Registriert: Do 15. Aug 2013, 19:59

Re: www.Bastler-Cam.de - Sammelhomepage

Beitragvon MichelH » Mi 18. Okt 2017, 20:03

Jup.
Auch wenn ich ja selten was gutes über toom sage... das sind bis jetzt echt die besten Steckregale. Konnte man ohne große Nacharbeit montieren.
Nur die holzplatten sind natürlich 1-2mm zu groß für ihr Fach :/ naja Kreissäge regelt
Benutzeravatar
MichelH
 
Beiträge: 913
Registriert: Mi 6. Nov 2013, 19:49
Wohnort: Nord-West

Re: www.Bastler-Cam.de - Sammelhomepage

Beitragvon Fritzler » Mi 18. Okt 2017, 20:16

Wie hoch isn die Packung der Regale?
Bis 2m geht locker in die Niederflurstraßenbahn :mrgreen:
Benutzeravatar
Fritzler
 
Beiträge: 4895
Registriert: So 11. Aug 2013, 19:42
Wohnort: D:/Berlin/Friedrichshagen/Am Wasserwerk

Re: www.Bastler-Cam.de - Sammelhomepage

Beitragvon MichelH » Mi 18. Okt 2017, 20:29

Benutzeravatar
MichelH
 
Beiträge: 913
Registriert: Mi 6. Nov 2013, 19:49
Wohnort: Nord-West

Re: www.Bastler-Cam.de - Sammelhomepage

Beitragvon Felix945 » Do 19. Okt 2017, 00:17

Ich arbeite auch immernoch fleissig an einer Lösung des Internetproblems...
Felix945
 
Beiträge: 349
Registriert: Di 13. Aug 2013, 00:27

Re: www.Bastler-Cam.de - Sammelhomepage

Beitragvon Pyromane » Do 19. Okt 2017, 09:33

Wäre es möglich auf der Webseite wo aufs Wiki verwiesen wird gleich einen Link zum entsprechenden Wiki Beitrag zu setzen?
Der Dateianhang link.png existiert nicht mehr.
Dateianhänge
link.png
Pyromane
 
Beiträge: 183
Registriert: So 11. Aug 2013, 13:56

VorherigeNächste

Zurück zu Allgemeine Diskussion

Wer ist online?

Mitglieder in diesem Forum: Bastelbruder, Bing [Bot], Chemnitzsurfer, Fritzler, Kellerkind, MichelH, Myvesdin, Thomas, Tobi, Treckergott, Virtex7, vorhautfront, xanakind und 19 Gäste

span